﻿using SixLabors.ImageSharp;
using SixLabors.ImageSharp.Processing;
using System;
using System.Collections.Generic;
using System.Text;

namespace PV178_WinForms_Demo.Filters
{
    internal class OilPaintingFilter : IImageFilter
    {
        public string Name => "Oil Painting";

        public Image Apply(Image original, float strength)
        {
            return original?.Clone(x => x.OilPaint(14 - (int)Math.Round(10 * strength), (int)Math.Round(1 + 0.025f * strength * Math.Max(original.Width, original.Height))));
        }
    }
}