﻿using SixLabors.ImageSharp;
using SixLabors.ImageSharp.Processing;
using System;
using System.Collections.Generic;
using System.Text;

namespace PV178_WinForms_Demo.Filters
{
    internal class PolaroidFilter : IImageFilter
    {
        public string Name => "Polaroid";

        public Image Apply(Image original, float strength)
        {
            return original?.Clone(x => x.Polaroid().DrawImage(original, 1f - strength));
        }
    }
}