﻿using SixLabors.ImageSharp;
using SixLabors.ImageSharp.Processing;
using System;
using System.Collections.Generic;
using System.Text;

namespace PV178_WinForms_Demo.Filters
{
    internal class DitherFilter : IImageFilter
    {
        public string Name => "Dithering";

        public Image Apply(Image original, float strength)
        {
            return original?.Clone(x => x.Dither(SixLabors.ImageSharp.Processing.Processors.Dithering.ErrorDither.FloydSteinberg, 1f - strength));
        }
    }
}