﻿using SixLabors.ImageSharp;
using SixLabors.ImageSharp.Processing;
using SixLabors.ImageSharp.Processing.Processors.Filters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace PV178_WinForms_Demo.Filters
{
    internal class GrayscaleFilter : IImageFilter
    {
        public string Name => "Grayscale";

        public Image Apply(Image original, float strength)
        {
            return original?.Clone(x => x.Grayscale(strength));
        }
    }
}