﻿using SixLabors.ImageSharp;
using SixLabors.ImageSharp.Processing;
using System;
using System.Collections.Generic;
using System.Text;

namespace PV178_WinForms_Demo.Filters
{
    internal class PixelateFilter : IImageFilter
    {
        public string Name => "Pixelation";

        public Image Apply(Image original, float strength)
        {
            return original?.Clone(x => x.Pixelate((int)Math.Round(1 + 0.01f * strength * Math.Max(original.Height, original.Width))));
        }
    }
}